# undo(2m)

[Home] [Commands] [Variables] [Macro-Dev] [Glossary]

## NAME

undo - Retain edit modifications

## SYNOPSIS

undo Mode

U - mode line letter.

## DESCRIPTION

undo mode, when enabled, stores a history of all user edits so that the command undo(2) may be used to undo the last n edits to a buffer. If this mode is not enabled the undo command has no effect.

Obviously memory is required to store this information, particularly storing deleted, reformed or replaced text, users editing large files or operating in restricted memory environments may wish to use this mode selectively.

## NOTES

The undo information is flushed, and is effectively lost, when a save operation is performed on the buffer.

## SEE ALSO

Operating Modes, buffer-mode(2), global-mode(2). undo(2).

(c) Copyright JASSPA 2009
Last Modified: 2009/08/29
Generated On: 2009/10/12

</HMTL>